API explorerWebhooks
Update a Reply webhook's endpoint, preset, headers, events, or enabled state
PATCH /api/agent/webhooks/{id}. Required scopes: services:write.
Loading API reference…
Required scopes: services:write
bearer services:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: services:write
id*stringapplication/jsonname?string1 <= length <= 80url?stringurilength <= 2048preset?string"generic""grok""slack"headers?array<>items <= 16events?array<>1 <= items <= 3enabled?booleanisDefault?booleanSuccess
application/jsonwebhook*curl -X PATCH 'https://example.com/api/agent/webhooks/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "webhook": { "isDefault": true, "id": "string", "name": "string", "url": "http://example.com", "preset": "generic", "headers": [ { "name": "string", "value": "string" } ], "events": [ "interaction.answered" ], "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}